Bug 121097 - kdevelop crash adding files to project
kdevelop crash adding files to project
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kdevelop (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-16 22:36 EDT by Ian Laurie
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:27:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian Laurie 2004-04-16 22:36:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040301

Description of problem:
When adding files to a project by typing their name into the
"Sourcefiles(s)" area in the "Add Existing Files(s)..." dialog box,
kdevelop effectively uses up all the cpu power, locking up the system
(making it VERY slow) and kdevelop needs to be terminated.

Adding files to a project by right clicking inside the file area in
the left window pane works fine.


Version-Release number of selected component (if applicable):
kdevelop-2.1.5-12.1

How reproducible:
Always

Steps to Reproduce:
1. Start kdevelop and open any project (or create a new one).
2. From the Project menu select "Add Existing File(s)..."
3. Try to type something into the "Sourcefile(s)" entry area.
    

Actual Results:  CPU seems to get very busy and it is hard to get the
mouse to respond.  Kdevelop is dead and will need to be terminated.

Expected Results:  Should allow you to enter a filename.

Additional info:

This bug exists in RedHat Linux 9 and Fedora Core 1 that I know of,
except under both those platforms kdevelop just exits immediately you
try and enter text.
Comment 1 RHEL Product and Program Management 2007-10-19 15:27:25 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.